#ifndef DISPLAYTEXT_H
#define DISPLAYTEXT_H

#include "Adafruit_GFX.h"
#include "Adafruit_ST7796S_kbv.h"

class DisplayText {
  private:
    Adafruit_ST7796S_kbv& tft;
    int centerText(char* text);
    // int bottomText(char* text);
    void printWordsFull(char* text);

  public:
    DisplayText(Adafruit_ST7796S_kbv& tftDisplay);
    void writeText(char* text, int size, int posX, int posY, int screenTime, bool center, bool bottom);
};

#endif